package uk.co.biogen.sbmonkey;

import android.content.BroadcastReceiver;
import android.content.Context;
import android.content.Intent;
import android.util.Log;


public class ContextNameReceiver extends BroadcastReceiver
{
  private final String CONTEXT_FIELD_NAME = "cnsContextName";
  
  @Override
  public void onReceive(Context context, Intent intent)
  {
    Log.d("monkey", "Received context " + intent.getAction());
    SoundBitesMonkeyWrench.actOnContext(context, intent.getStringExtra(CONTEXT_FIELD_NAME));
  }
}
