package uk.co.biogen.sbmonkey;

import android.app.Activity;
import android.app.Notification;
import android.app.NotificationManager;
import android.app.PendingIntent;
import android.content.Context;
import android.content.Intent;
import android.content.IntentFilter;
import android.os.Bundle;
import android.util.Log;

public class SoundBitesMonkeyStart extends Activity
{
  private ContextNameReceiver cnr;
  private final String CNS_ACTION_NAME = "uk.co.biogen.SOUNDBITES_CONTEXT_NAME";
  
  @Override
  public void onCreate(Bundle savedInstanceState)
  {
    super.onCreate(savedInstanceState);
    Log.d("monkey","Monkey active.");
    
    int icon = android.R.drawable.ic_menu_preferences;
    CharSequence tickerText = "SoundBites Monkey active";
    long when = System.currentTimeMillis();
    CharSequence contentTitle = "SoundBites Monkey active";
    CharSequence contentText = "SoundBites Monkey active";

    Intent notificationIntent = new Intent(this, SoundBitesMonkeyStart.class);
    PendingIntent contentIntent = PendingIntent.getActivity(this, 0, notificationIntent, 0);

    Notification notification = new Notification(icon, tickerText, when);
    notification.setLatestEventInfo(getApplicationContext(), contentTitle, contentText, contentIntent);
    
    notification.flags = Notification.FLAG_ONGOING_EVENT; 
    
    ((NotificationManager) getSystemService(Context.NOTIFICATION_SERVICE)).notify(1, notification);
    
    cnr = new ContextNameReceiver();
//
//    IntentFilter filter = new IntentFilter(CNS_ACTION_NAME);
//    registerReceiver(cnr, filter);
  }
  
  @Override
  protected void onResume()
  {
    super.onResume();

    IntentFilter filter = new IntentFilter();
    filter.addAction(CNS_ACTION_NAME);
    registerReceiver(cnr, filter);
  }

  @Override
  protected void onPause()
  {
    super.onPause();
  
    unregisterReceiver(cnr);
  }

}
